#include "CoreStoreFeaturedCustomizationItemContainerWidget.h"
#include "StoreContentViewData.h"

class UCoreSelectableButtonWidget;
class UCoreButtonWidget;

void UCoreStoreFeaturedCustomizationItemContainerWidget::SetItems_Implementation(const TArray<FStoreContentViewData>& viewDataArray)
{

}

void UCoreStoreFeaturedCustomizationItemContainerWidget::OnSelectedItemChanged(UCoreSelectableButtonWidget* selectedButton)
{

}

void UCoreStoreFeaturedCustomizationItemContainerWidget::OnSelectedItemAgain(UCoreSelectableButtonWidget* selectedButton)
{

}

void UCoreStoreFeaturedCustomizationItemContainerWidget::OnMoveCompleted()
{

}

void UCoreStoreFeaturedCustomizationItemContainerWidget::OnItemUnhovered(UCoreButtonWidget* buttonTarget)
{

}

void UCoreStoreFeaturedCustomizationItemContainerWidget::OnItemHovered(UCoreButtonWidget* buttonTarget)
{

}

void UCoreStoreFeaturedCustomizationItemContainerWidget::MovePrevious()
{

}

void UCoreStoreFeaturedCustomizationItemContainerWidget::MoveNext()
{

}

void UCoreStoreFeaturedCustomizationItemContainerWidget::InitItemContainer_Implementation()
{

}

UCoreStoreFeaturedCustomizationItemContainerWidget::UCoreStoreFeaturedCustomizationItemContainerWidget()
{
	this->ItemTileClass = NULL;
	this->MaxVisibleTiles = 7;
	this->AllTileHeight = 720;
	this->SmallTileWidth = 500;
	this->BigTileWidth = 1500;
	this->TileSpacing = 50;
	this->TranslationDuration = 0.500000;
	this->OnHoverBorderThickness = 8;
	this->TranslationEasingType = EEasingType::Linear;
	this->AutoAdvanceRate = 4.500000;
}
